<?php

	require("§lib_inc.php");

	//set_time_limit(0);
	
	flush();


$result = mysql_query( "select * from oxg_users") or mysql_die();
$error = "";

if($result)
	{
	echo "<BR>";
	echo "La table utilisateur existe déjà";
	}
else
	{
	$compte = @$_GET['compte'];
	$pass1 = @$_GET['pass1'];
	$pass2 = @$_GET['pass2'];
	echo"Création du compte administrateur<BR>";
	echo"ATTENTION : veillez à bien noter le nom de compte et le mot de passe que vous allez créer<BR><BR>";
	echo "<form action=\"\" method=get>";
	echo "<table width='300'  border='0' align='center' cellpadding='10' cellspacing='0' bgcolor='#eeeeee' class='tableaux'";
	echo "<tr><td width='50%'><div align='right'>"."Login"."</div></td>";
	echo "<td width='50%'><input name='compte' type='text' value='$compte'></td></tr>";
	echo "<tr><td width='50%'><div align='right'>"."mot de passe"."</div></td>";
	echo "<td width='50%'><input name='pass1' type='password' value='$pass1'></td></tr>";
	echo "<tr><td width='50%'><div align='right'>"."2eme saisie"."</div></td>";
	echo "<td width='50%'><input name='pass2' type='password' value='$pass2'></td></tr>";
	echo "<tr><td height='34' colspan='2'><div align='center'><input type='submit' name='submit' value=".decode_lng_text('PRIVATE_ENTER')."></td></tr>";
	echo "</table>";
	
	//if (isset($_POST['compte']) or isset($_POST['pass2']) or isset($_POST['pass2']))
		//{
		//$compte = $_GET['compte'];
		//$pass1 = $_GET['pass1'];
		//$pass2 = $_GET['pass2'];
		if ($compte=="" or $pass1=="" or $pass2=="")
			{
			$error = "Un des champs est vide !";
			}
		else
			{
			if ($pass1!=$pass2)
				{
				$error = "La validation du mot de passe n'est pas correcte";
				}
			else
				{
				$pass = md5($pass1);
				$sql_query="CREATE TABLE oxg_users (ID INT NOT NULL AUTO_INCREMENT, id_user INT, login TEXT NOT NULL, pass TEXT NOT NULL, nom TEXT, prenom TEXT, email TEXT, privilege TEXT NOT NULL, PRIMARY KEY (ID), UNIQUE (ID))";
				$result1 = mysql_query($sql_query) or mysql_die();
				if ($result1)
					{
					$result2 = mysql_query( "INSERT INTO oxg_users (id_user,login,pass,nom,prenom,email,privilege) VALUES ('','$compte','$pass','','','','admin')" );
					if ($result2)
						{
						echo "<BR>La table utilisateur a été créée et inialisée avec le compte ".$compte;
						}
					else
						{
						echo "<BR><center>Echec lors de la création du compte ".$compte."</center><BR><BR><BR>";
						}
					}
				else
					{
					echo "<BR><center>Echec lors de la création de la base des comptes utilisateur</center>";
					}
				}
			}
		//}
	}
	if ($error=="") {echo "<BR><BR>";}
		else {echo "<BR><center><B><I>$error</I></B></center><BR>";}


	//echo "<a href='user_admin.php'>"."Retour au menu d'administration"."</a>";
	affiche_pied_page_admin(true);
?>
